define(["require", "exports", "./currencies"], function (require, exports, currencies_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.findCurrency = exports.getCurrencies = exports.validate = void 0;
    function validate(address, currencyNameOrSymbol, opts) {
        var currency = (0, currencies_1.getByNameOrSymbol)(currencyNameOrSymbol);
        if (currency && currency.validator) {
            return currency.validator(address, currency, opts);
        }
        throw new Error('Missing validator for currency: ' + currencyNameOrSymbol);
    }
    exports.validate = validate;
    function getCurrencies() {
        return (0, currencies_1.getAll)();
    }
    exports.getCurrencies = getCurrencies;
    function findCurrency(symbol) {
        return (0, currencies_1.getByNameOrSymbol)(symbol) || null;
    }
    exports.findCurrency = findCurrency;
});
//# sourceMappingURL=index.js.map