define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.isValidAddress = void 0;
    var base58 = require('../crypto/externals/base58');
    // simple base58 validator.  Just checks if it can be decoded.
    function isValidAddress(address, currency, opts) {
        try {
            if (!address || address.length == 0) {
                return false;
            }
            if (currency.minLength && (address.length < currency.minLength)) {
                return false;
            }
            if (currency.maxLength && (address.length > currency.maxLength)) {
                return false;
            }
            try {
                var decoded = base58.decode(address);
                if (!decoded || !decoded.length) {
                    return false;
                }
            }
            catch (e) {
                // if decoding fails, assume invalid address
                return false;
            }
            return true;
        }
        catch (e) {
            return false;
        }
    }
    exports.isValidAddress = isValidAddress;
});
//# sourceMappingURL=base58_validator.js.map