define(["require", "exports", "../crypto/utils"], function (require, exports, utils_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.isValidAddress = void 0;
    function verifyAddress(address) {
        var BUFFER_SIZE = 8;
        var bigNumber = address.substring(0, address.length - 1);
        var addressBuffer = (0, utils_1.bigNumberToBuffer)(bigNumber, null);
        return Buffer.from(addressBuffer).slice(0, BUFFER_SIZE).equals(addressBuffer);
    }
    function isValidAddress(address) {
        var regexp = new RegExp('^[0-9]{1,20}L$');
        if (!regexp.test(address)) {
            return false;
        }
        return verifyAddress(address);
    }
    exports.isValidAddress = isValidAddress;
});
//# sourceMappingURL=lisk_validator.js.map