define(["require", "exports", "../crypto/utils"], function (require, exports, utils_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.isValidAddress = void 0;
    var base32 = require('../crypto/externals/base32');
    function isValidAddress(_address) {
        var address = _address.toString().toUpperCase().replace(/-/g, '');
        if (!address || address.length !== 40) {
            return false;
        }
        var decoded = (0, utils_1.toHex)(base32.b32decode(address));
        var stepThreeChecksum = (0, utils_1.keccak256Checksum)(Buffer.from(decoded.slice(0, 42), 'hex'));
        return stepThreeChecksum === decoded.slice(42);
    }
    exports.isValidAddress = isValidAddress;
});
//# sourceMappingURL=nem_validator.js.map