define(["require", "exports", "base-x", "../crypto/utils"], function (require, exports, baseX, utils_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.isValidAddress = void 0;
    var ALLOWED_CHARS = 'rpshnaf39wBUDNEGHJKLM4PQRST7VWXYZ2bcdeCg65jkm8oFqi1tuvAxyz';
    var codec = baseX(ALLOWED_CHARS);
    var regexp = new RegExp('^r[' + ALLOWED_CHARS + ']{27,35}$');
    function isValidAddress(address) {
        if (regexp.test(address)) {
            return verifyChecksum(address);
        }
        return false;
    }
    exports.isValidAddress = isValidAddress;
    function verifyChecksum(address) {
        var bytes = codec.decode(address);
        var computedChecksum = (0, utils_1.sha256Checksum)((0, utils_1.toHex)(bytes.slice(0, -4)));
        var checksum = (0, utils_1.toHex)(bytes.slice(-4));
        return computedChecksum === checksum;
    }
});
//# sourceMappingURL=ripple_validator.js.map