define(["require", "exports", "../crypto/utils"], function (require, exports, utils_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.isValidAddress = void 0;
    var base58 = require('../crypto/externals/base58');
    var prefix = new Uint8Array([6, 161, 159]);
    function decodeRaw(buffer) {
        var payload = buffer.slice(0, -4);
        var checksum = buffer.slice(-4);
        var newChecksum = (0, utils_1.hexStr2byteArray)((0, utils_1.sha256x2)((0, utils_1.byteArray2hexStr)(payload)));
        if (checksum[0] ^ newChecksum[0] |
            checksum[1] ^ newChecksum[1] |
            checksum[2] ^ newChecksum[2] |
            checksum[3] ^ newChecksum[3])
            return;
        return payload;
    }
    function isValidAddress(address) {
        try {
            var buffer = base58.decode(address);
            var payload = decodeRaw(buffer);
            if (!payload)
                return false;
            payload.slice(prefix.length);
            return true;
        }
        catch (e) {
            return false;
        }
    }
    exports.isValidAddress = isValidAddress;
});
//# sourceMappingURL=tezos_validator.js.map