define(["require", "exports", "../crypto/utils"], function (require, exports, utils_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.isValidAddress = void 0;
    var base58 = require('../crypto/externals/base58');
    function decodeBase58Address(base58Sting) {
        if (typeof (base58Sting) !== 'string') {
            return false;
        }
        if (base58Sting.length <= 4) {
            return false;
        }
        try {
            var address = base58.decode(base58Sting);
        }
        catch (e) {
            return false;
        }
        /*if (base58Sting.length <= 4) {
            return false;
        }*/
        var len = address.length;
        var offset = len - 4;
        var checkSum = address.slice(offset);
        address = address.slice(0, offset);
        var hash0 = (0, utils_1.sha256)((0, utils_1.byteArray2hexStr)(address));
        var hash1 = (0, utils_1.hexStr2byteArray)((0, utils_1.sha256)(hash0));
        var checkSum1 = hash1.slice(0, 4);
        if (checkSum[0] === checkSum1[0] && checkSum[1] === checkSum1[1] && checkSum[2]
            === checkSum1[2] && checkSum[3] === checkSum1[3]) {
            return address;
        }
        return false;
    }
    function getEnv(currency, networkType) {
        var evn = networkType || 'prod';
        if (evn !== 'prod' && evn !== 'testnet')
            evn = 'prod';
        return currency.addressTypes[evn][0];
    }
    function isValidAddress(mainAddress, currency, opts) {
        var networkType = opts ? opts.networkType : '';
        var address = decodeBase58Address(mainAddress);
        if (!address) {
            return false;
        }
        if (address.length !== 21) {
            return false;
        }
        return getEnv(currency, networkType) === address[0].toString();
    }
    exports.isValidAddress = isValidAddress;
});
//# sourceMappingURL=tron_validator.js.map