define(["require", "exports", "./bitcoin_validator", "./ethereum_validator"], function (require, exports, BTCValidator, ETHValidator) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.isValidAddress = void 0;
    function isValidAddress(address, currency, opts) {
        if (opts) {
            if (opts.chainType === 'erc20') {
                return ETHValidator.isValidAddress(address);
            }
            else if (opts.chainType === 'omni') {
                return BTCValidator.isValidAddress(address, currency, opts);
            }
        }
        return checkBothValidators(address, currency, opts);
    }
    exports.isValidAddress = isValidAddress;
    function checkBothValidators(address, currency, opts) {
        var result = BTCValidator.isValidAddress(address, currency, opts);
        return result ? result :
            ETHValidator.isValidAddress(address);
    }
});
//# sourceMappingURL=usdt_validator.js.map